# Poly Locator
All of the client-side Locator and Directory code and markup.

## Dependencies
* [Node JS](http://nodejs.org/)
* [Gulp](http://gulpjs.com/)

## Installation
1. Install npm (https://docs.npmjs.com/)
2. `cd` into the root directory of the theme where `package.json` is located.
3. Install Gulp (https://github.com/gulpjs/gulp/blob/master/docs/getting-started.md)
4. Run `npm install`
5. Run `gulp`
6. Open browser @ http://localhost:3000/

## Local Development
* Gulp runs all of the tasks required to build the site. It runs webpack for bundling JS. It copies over all the assets inside `app/` to `build/` directory where the compiled version lives.
* Run `gulp` and navigate to http://localhost:3000/ for testing (WIP)

## Publishing to NPM
_TODO: Handle this in the release process._

1. Gain collab access to the `hs-poly-locator` npm package (Alex R. is a good resource for this)
2. Checkout the `master` branch
3. Make sure it is up to date: `git fetch && git rebase upstream/master`
4. Update your package version: `npm version 1.x.x` _(1.x.x could be any new version tag you want to use)_
5. The previous step will create a new commit and automatically update your package.json. Make a PR for this.
6. Publish the package to npm: `npm publish`
